import Pessoa from './pessoa.js'
import { cpf } from 'brazilian-doc-validator';

class PessoaFisica extends Pessoa {
  #_cpf
  
  constructor(nome) {
    super(nome)
  }
  
  set cpf(_cpf) {
    if (cpf.validate(_cpf)){
      this.#_cpf = _cpf
    } else {
      throw new Error("CPF Inválido")
    }
  }
  
  get cpf() {
    return this.#_cpf
  }

  mostrarDados(){
    return `Meus dados são: ${this.nome} e  ${this.cpf}`
  }
}

export default PessoaFisica